package org.ntnu.pythia.engine;

public class DebugLog {
	private DebugLog() {}
	
	private static boolean enabled = true;
	
	public static void println(String s) {
		if (enabled) System.out.println(s);
	}
	
	public static void print(String s) {
		if (enabled) System.out.print(s);
	}
	
	public static void print(char c) {
		if (enabled) System.out.print(c);
	}

}
