package org.ntnu.pythia.engine.components;

import org.ntnu.pythia.game.GameObject;

import de.matthiasmann.twl.GUI;
import de.matthiasmann.twl.ProgressBar;

public class HealthBar extends ProgressBar {
	private GameObject parent;
	
	public void setGameObject(GameObject parent) {
		this.parent = parent;
		setTheme("/progressbar");
	}
	
	@Override
	public void paint(GUI gui) {
		if (parent != null)
			setValue(parent.getHealth() / 100.0f);
		super.paint(gui);
	}

}
