package org.ntnu.pythia.game;

import org.ntnu.pythia.engine.ResourceFactory;

public class AnimationTemplate {
	public final RenderObject[] frames;
	public final double length;
	public AnimationTemplate(String[] refs, String[] filenames, double length) {
		frames = new RenderObject[filenames.length];
		for (int i = 0; i < filenames.length; i++) {
			frames[i] = ResourceFactory.getRenderObject(refs[i], filenames[i]);
		}
		this.length = length;
	}
	
	public AnimationObject getAnimation() {
		return new AnimationObject(frames, length);
	}

}
