package org.ntnu.pythia.game.behaviour;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * This class represents states that define what a NPC will say. 
 * @author andreas
 *
 */
@XmlRootElement
public class ConversationState {
	
	@XmlAttribute(name = "id", required = true)
	private String id;
	
	@XmlAttribute(name = "src", required = true)
	private String source;
	
	@XmlAttribute(name = "status_msg")
	private String msg = "Press ENTER to interact";

	public String getContentPath(){
		return source;
	}
	
	public String getId(){
		return id;
	}
	
	public String getStatusMsg() {
		return msg;
	}

}
