package org.ntnu.pythia.python;

import org.python.core.PyObject;

/**
 * Used for listening to entire lists or dictionaries in python
 * @author andreas
 *
 */

public interface ListListener {

	/**
	 * Fires when the list is modified
	 * @param name of the list
	 * @param index of the modification
	 * @param newValue new value of <code>list</code>[<code>index</code>]
	 */
	public void variableSet(String name, PyObject index, PyObject newValue);
}
