package org.ntnu.pythia.python;

import org.python.core.PyObject;

/**
 * Used for listening to binding of a specific variable. (and thus explicit changes)
 * @author andreas
 *
 */

public interface VariableListener {
	
	/** 
	 * Fires when the listened variable is changed.
	 * @param name of the variable
	 * @param newValue
	 */
	public void variableSet(String name, PyObject newValue);
}
