from org.ntnu.pythia.game.behaviour import Behaviour
from org.ntnu.pythia.game.behaviour import BehavedObject
"""
A Behaviour for a generic key, which uses the property 
on the belonging object and on a door object to determine
if it fits or not. 
"""
class Key(Behaviour):
    def react(self, event, object):
        if event == "talk":
            keyname = object.getProperty("key")
            setSysVar('keys.' + keyname, "true")
            object.remove()
            statusBar("Received key: " + keyname)
        return True