package org.ntnu.pythia.game.level.xml;

import java.util.LinkedList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlRootElement;

import org.ntnu.pythia.game.behaviour.BehavedObject;
import org.ntnu.pythia.game.level.AbstractObjectFactory;
import org.ntnu.pythia.game.level.ManipulateableObject;

/**
 * Simple wrapper for nicer XML (as it turns out, unnecessary)
 * @author andreas
 *
 */
@XmlRootElement 
public class LevelObjectWrapper {
	@XmlElementRef
	List<AbstractObjectFactory> maniobjects = new LinkedList<AbstractObjectFactory>();
	
	public List<AbstractObjectFactory> getList(){
		return maniobjects;
	}
	
}
