package org.ntnu.pythia.python.unit;

import javax.xml.bind.annotation.XmlRootElement;

import org.ntnu.pythia.game.level.Level;
import org.ntnu.pythia.python.PythiaParser;
import org.python.core.PyFunction;

/**
 * An implicite objective for a {@link Level} that for some reason can't be tested.
 * It will be ignored in for tests to complete a level, but the hint will be listed as an objective.
 * @author andreas
 *
 */
@XmlRootElement(name = "ImpliciteObjective")
public class ImpliciteObjective extends Test {
	@Override
	public void init(PythiaParser parser) {
		
	}

	@Override
	public boolean isSolved(Level level) {
		return false;
	}

	@Override
	public void setMethod(PyFunction f) {
		
	}

}
