package org.ntnu.pythia.python.unit;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

import org.ntnu.pythia.engine.App;
import org.ntnu.pythia.game.level.Level;
import org.ntnu.pythia.python.PythiaParser;
import org.python.core.PyFunction;

/**
 * Tests for a global property.
 * @author andreas
 *
 */
@XmlRootElement(name = "TestProperty")
public class TestProperty extends Test {

	@XmlAttribute(name = "path", required = true)
	String path;
	
	@XmlAttribute(name = "value", required = true)
	String value;
	
	@Override
	public void init(PythiaParser parser) {
	}

	@Override
	public boolean isSolved(Level level) {
		return App.globals.getVar(path).equals(value);
	}

	@Override
	public void setMethod(PyFunction f) {
		
	}

}
