from org.ntnu.pythia.game.behaviour import Behaviour

class BigDoor(Behaviour):
    def __init__(self):
        self.opened = False
    
    def react(self, event, object):
        if event == "talk":
            self.opened = not self.opened
            if self.opened:
                self.open(object)
            else:
                self.close(object)
        return True
    
    def open(self, object):
        object.playSound("door")
        object.setSolid(False)
        object.changeRendering("bigdoor_opened")
    
    def close(self, object):
        object.playSound("door")
        object.setSolid(True)
        object.changeRendering("bigdoor_closed")