from org.ntnu.pythia.game.behaviour import Behaviour
from org.ntnu.pythia.game.behaviour import BehavedObject
from org.ntnu.pythia.game.behaviour import CompositeObject
from mhlib import isnumeric

class NumberPiece(Behaviour):
    def __init__(self):
        pass
    
    def buildWalls(self):
        wallTable = []
        for i in range(0, self.myself.getCellsHigh()):
            if self.number == i :
                wallTable.append('floor')
            else:
                wallTable.append('wall')
            if self.number < i :
                wallTable.append('wall')
            else:
                wallTable.append('floor')
        wallTable.reverse()
        for i in range(0, self.myself.getCellsHigh() * self.myself.getCellsWide()):
            self.myself.setCell(i, wallTable[i])
        
    def setParent(self, parent):
        self.myself = parent
        self.number = int(parent.getProperty("number"))
        self.buildWalls()
    
    def react(self, event, object):
        if event == "0":
            self.number = int(event)
            self.buildWalls()
            return True
        if isnumeric(event):
            self.number = int(event)
            self.buildWalls()
            return True
        else:
            return False
    
    
    