from org.ntnu.pythia.game.behaviour import Behaviour
from org.ntnu.pythia.game.behaviour import BehavedObject
"""
A Behaviour for a generic door. 
The 'keyhole' property on the door will define what 
keys will fit into it. 
"""
class KeyDoor(Behaviour):
    def react(self, event, object):
        if event == "talk":
            if getSysVar('keys.' + object.getProperty("keyhole")) == "true":
                object.changeRendering("open")
                object.setSolid(False)
        return True
                