package org.ntnu.other;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import junit.framework.TestCase;

public class PatternMatching extends TestCase {
	
	private String input = "print \"hello world\"\n" +
			"# this is a comment\n" +
			"# this is a single line comment\n" +
			"am not here # but I am here\n" +
			"fin (6)\n" +
			"\"\"\" This\n" +
			"is a \"\"\" I am not a comment \"\"\" multilene\n" +
			"comment \"\"\"";
	
	public void testComments() {
		System.out.println(input);
		Pattern p_multi = Pattern.compile(
				"\"\"\"(?:.|[\\n\\r])*?\"\"\"" );
		Pattern p_single = Pattern.compile("\\#.*?\\n");
				//"(\"\"\".*?\"\"\"|\\#.*?\\n)"
                /*\/\/.*?\n|
                \#.*?\n|
                (?<!\\\)&quot;.*?(?<!\\\)&quot;|
                (?<!\\\)\'(.*?)(?<!\\\)\'
            )");*/
		
		Matcher m = p_multi.matcher(input);
		System.out.println("Found multiline strings");
		while(m.find()) {
			System.out.println(m.group());
		}
		m = p_single.matcher(input);
		System.out.println("Found singleline strings");
		while (m.find()) {
			System.out.println(m.group());
		}
	}
	
	public void testTexts() {
		
	}

}
